Wallets
Get wallet control
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
id*unknownWallet id
Response Body
200application/json
Per-chain owner counts and the sole-key verdict
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/wallets/{id}/sovereignty' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "selfCustodial": true, "singleKey": true, "chains": [ { "chain": "base", "safeAddress": "string", "deployed": true, "ownerCount": 0, "passkeyOwnerCount": 0, "eoaOwnerCount": 0, "threshold": 0, "singleKey": true, "unreadable": true } ] }, "status": 200, "success": true}